<mat-card appearance="outlined">
  <mat-card-header>
    <mat-card-title>
      <h3>Question {{ index + 1 }}: {{ question.text }}</h3>
    </mat-card-title>
  </mat-card-header>
  <mat-card-content>
    <ng-container [ngSwitch]="true">
      <kypo-adaptive-multiple-choice-question-edit *ngSwitchCase="question.questionType === questionTypes.MCQ"
                                          [questionnaireType]="questionnaireType"
                                          [question]="question">
      </kypo-adaptive-multiple-choice-question-edit>
      <kypo-adaptive-free-form-question-edit *ngSwitchCase="question.questionType === questionTypes.FFQ"
                                    [questionnaireType]="questionnaireType"
                                    [question]="question">
      </kypo-adaptive-free-form-question-edit>
      <kypo-rating-form-question-edit *ngSwitchCase="question.questionType === questionTypes.RFQ"
                                    [questionnaireType]="questionnaireType"
                                    [question]="question">
      </kypo-rating-form-question-edit>
    </ng-container>
  </mat-card-content>
</mat-card>
